# wrap selection in \emph{...}
define-command -override -params 1 latex-surround-add %~
    evaluate-commands -save-regs 'a' -no-hooks %^
        set-register a %arg{1}
        execute-keys -draft 'i\<c-r>a{<esc>a}'
    ^
~
define-command -override -params 1 latex-surround-remove %~
    evaluate-commands -save-regs 'a"' -no-hooks %^
        set-register a %arg{1}
        execute-keys -save-regs '"' -draft '<a-/>\\<c-r>a<ret>d<a-a>{<a-S>d'
    ^
~

hook global WinSetOption filetype=latex %{
	set-option window formatcmd "tex-fmt --stdin"
	set-option window autowrap_fmtcmd 'tex-fmt --stdin -l %c'
    set-option window autowrap_format_paragraph true
	hook -group latex-auto-format window BufWritePre .* %{
    	try format
	}
	hook -once -always window WinSetOption filetype=.* %{
		unset-option window formatcmd
		remove-hooks window latex-auto-format
	}
	declare-filetype-mode latex
	map window latex i ': latex-surround-add emph<ret>'
	map window latex <a-i> ': latex-surround-remove emph<ret>'
	map window latex b ': latex-surround-add textbf<ret>'
	map window latex <a-b> ': latex-surround-remove textbf<ret>'
}

